List
curl --request GET \
--url https://{defaultHost}/v1/payouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/payouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/payouts"
},
"data": [
{
"id": "4d335fe8-73ff-4a32-a3f5-f819d8c644da",
"object": "payout",
"currency": "usd",
"description": null,
"end_date": 1786924800,
"live_mode": true,
"manual": false,
"payout_email": null,
"status": "processing",
"total_commission_amount": 9900,
"affiliation": "7905071f-af5f-4e8c-86f5-4727c1cbea33",
"payout_group": null,
"created_at": 1787228422,
"updated_at": 1787228422
}
]
}Payouts
List
Returns a list of your payouts.
GET
/
v1
/
payouts
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that belong to the given affiliations.
Three-letter ISO currency code, in lowercase.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
Only return objects that are live mode or test mode.
The page of items you want returned.
Only return objects that belong to the given payout groups.
Only return objects with the given status.
Was this page helpful?